Skip to content

List all live newsfeed items

Request

You can fetch a list of all news items that are live on a given newsfeed

Security
bearerAuth
Path
newsfeed_idstringrequired

The unique identifier for the news feed item which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  https://api.intercom.io/news/newsfeeds/123/items \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
typestring

The type of object

Enum:"list""conversation.list"
Example:"list"
pagesobject or null(Cursor based pages)

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

total_countinteger

A count of the total number of objects.

Example:1
dataArray of any

An array of Objects

Response
{ "type": "list", "pages": { "page": 1, "per_page": 20, "total_pages": 0, "type": "pages" }, "data": [], "total_count": 0 }